# Created by pyp2rpm-3.3.2
%global pypi_name fastentrypoints

Name:           python-%{pypi_name}
Version:        0.12
Release:        1%{?dist}
Summary:        Makes entry_points specified in setup.py load more quickly

License:        BSD
URL:            https://github.com/ninjaaron/fast-entry_points
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Fast entry_points Using entry_points in your setup.py makes scripts that start
really slowly because it imports pkg_resources, which is a horrible thing to do
if you want your trivial script to execute more or less instantly. check it
out: fastentrypoints in your setup.py file produces scripts that look like
this:.. code:: python -*- coding: utf-8 -*- import re import sys from
package.module...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(setuptools)
%description -n python2-%{pypi_name}
Fast entry_points Using entry_points in your setup.py makes scripts that start
really slowly because it imports pkg_resources, which is a horrible thing to do
if you want your trivial script to execute more or less instantly. check it
out: fastentrypoints in your setup.py file produces scripts that look like
this:.. code:: python -*- coding: utf-8 -*- import re import sys from
package.module...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Fast entry_points Using entry_points in your setup.py makes scripts that start
really slowly because it imports pkg_resources, which is a horrible thing to do
if you want your trivial script to execute more or less instantly. check it
out: fastentrypoints in your setup.py file produces scripts that look like
this:.. code:: python -*- coding: utf-8 -*- import re import sys from
package.module...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
rm -rf %{buildroot}%{_bindir}/*
%py3_install

%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/fastep
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Mar 26 2019 mockbuilder - 0.12-1
- Initial package.